OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
TownResolverObject Struct Reference

Resolver of town properties. More...

`#include <newgrf_town.h>`

Inheritance diagram for TownResolverObject:

## Public Member Functions
| TownResolverObject (const struct GRFFile *grffile, Town *t, bool readonly)
| Resolver for a town.
ScopeResolver * | GetScope (VarSpriteGroupScope scope=VSG_SCOPE_SELF, byte relative=0)
| Get a resolver for the scope.
Public Member Functions inherited from ResolverObject
| ResolverObject (const GRFFile *grffile, CallbackID callback=CBID_NO_CALLBACK, uint32 callback_param1=0, uint32 callback_param2=0)
| Resolver constructor.
const SpriteGroup * | Resolve ()
| Resolve SpriteGroup.
uint16 | ResolveCallback ()
| Resolve callback.
virtual const SpriteGroup * | ResolveReal (const RealSpriteGroup *group) const
| Get the real sprites of the grf.
uint32 | GetReseedSum () const
| Returns the OR-sum of all bits that need reseeding independent of the scope they were accessed with.
void | ResetState ()
| Resets the dynamic state of the resolver object.

## Data Fields
TownScopeResolver | town_scope
| Scope resolver specific for towns.
Data Fields inherited from ResolverObject
ScopeResolver | default_scope
| Default implementation of the grf scope.
CallbackID | callback
| Callback being resolved.
uint32 | callback_param1
| First parameter (var 10) of the callback.
uint32 | callback_param2
| Second parameter (var 18) of the callback.
byte | trigger
uint32 | last_value
| Result of most recent DeterministicSpriteGroup (including procedure calls)
uint32 | reseed [VSG_END]
| Collects bits to rerandomise while triggering triggers.
const GRFFile * | grffile
| GRFFile the resolved SpriteGroup belongs to.
const SpriteGroup * | root_spritegroup
| Root SpriteGroup to use for resolving.

## Detailed Description

Resolver of town properties.

Definition at line 35 of file newgrf_town.h.

## Constructor & Destructor Documentation

TownResolverObject::TownResolverObject | ( | const struct GRFFile * | grffile,
|  | Town * | t,
|  | bool | readonly
| ) |  |

Resolver for a town.

Parameters

  grffile | NewGRF file associated with the town.
  t | Town of the scope.
  readonly | Scope may change persistent storage of the town.

Definition at line 171 of file newgrf_town.cpp.

## Member Function Documentation

ScopeResolver* TownResolverObject::GetScope | ( | VarSpriteGroupScope | scope = `VSG_SCOPE_SELF`,
|  | byte | relative = `0`
| ) |  |
| inline virtual

Get a resolver for the scope.

Parameters

  scope | Scope to return.
  relative | Additional parameter for VSG_SCOPE_RELATIVE.

Returns
  The resolver for the requested scope.

Reimplemented from ResolverObject.

Definition at line 40 of file newgrf_town.h.

References town_scope, and VSG_SCOPE_SELF.

The documentation for this struct was generated from the following files:

- src/newgrf_town.h
- src/newgrf_town.cpp